[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBits.Size

Current size of the array of bits.

## Declaration

Source position: classesh.inc line 422

`public property TBits.Size : LongInt read FBSize write setSize;`

## Description

Size is the current size of the bit array. Setting this property will adjust the size; this is equivalent to calling Grow(Value-1)

## Errors

If an invalid size (negative or too large) is specified, a EBitsError exception is raised.

## See also

Bits |  | Access to all bits in the array.